Overview

 Getting Started

Cheez is a powerful, yet easy to use, image cataloguing tool. It's main purpose is to help people with digital cameras organize, enhance and share their photos and video clips. Of course it can be used for any kind of image collection.

For every media file in your collection, Cheez can store any information that you may enter (such as a description, a number of keywords or a date). It uses a single text file (XML format) for that purpose, making backups very easy. Searching is quite powerful and fast while other features include editing, printing, slideshow, mailing, web albums, exif and many others.

General

The main screen is divided in 3 panes:

  1. The left pane is a tree with your Films. Every Film represents a folder holding images. You can create new Films (Right click on any Tree node and select New Film), delete Films (be careful), reposition Films (drag them over/under or in other Films), sort them.
  2. The top right pane shows the thumbnails of the currently selected Film. Double clicking a thumbnail will open the image in a new window. You can drag images to other Films (use Shift and Control to select multiple images). Also you can refresh, rotate or delete images (be careful). Exif info will show you information about images taken by a digital camera.
  3. Finally the right bottom pane displays some information for the selected image and also allows you to enter a Description, some Keywords and a Date. If no image is selected then the information you see/enter are related to the Film itself. You should enter a short description of the image in Description, some special words in keywords (e.g. names of people displayed in a photo) and the date of the photo in Date. Dates can be checked against a standard type (e.g. DD/MM/YYYY) if you want (see Preferences).
Importing Images

Images managed by Cheez are copied and stored under Films, a folder initally located under the installation folder (e.g. C:\Program Files\Cheez\Films). You can change the store location if you want (see Changing Store location). There are many ways to import images for use with Cheez:

  1. Using the Import capabilities of Cheez, where you select a folder (or single image)
  2. By dragging images or folders from Windows Explorer, Internet Explorer or other applications onto the main window or on an existing Film.
  3. Using the Acquire button, to get images from a connected scanner, digital camera or other digital device.
  4. Copying files or folders inside the Films folder and then Refreshing (Cheez will find the new images and import them)
Searching

To search for images or films click the Find button. Give a word or part of a word and press Search. A list of all matches will come up. You can see a small thumbnail of images and the information you have entered. Double clicking will display an image.

More

Cheez has lots of other features, so please keep reading (you can create Web albums to get your images online, you can see your images in a Slide show etc).


 The Main Screen

On top of the main screen is the main menu. Under it is a toolbar containg the most frequent tasks you will perform. On the left side is the Films Tree containing one node for every Film (folder) you have. On the right side you can see the current Film's images (thumbnails), and under it the information about the selected image (or about the selected Film if no image is selected).

Menus

Starting from the top menu we have File, Film, Image/Video, Language and Help. Film contains the exact same menu that pops up if you right click on a Film node. Image/Video contains the exact same menu that pops up if you right click on an image. From Language menu you can change your current language.

The File Menu contains these items:

  • Save. This will save your data file (XML). You don't really need to Save it as Cheez will save it when you exit (and only if you have made changes).
  • Show. Show will ask for the path to a folder and then add this folder as a new Tree node but not as a Film. This means you will be able to see the images contained in this folder but not enter any information about them. External folders are also saved (so you will find them again next time you start Cheez). Also you can drag images from them to one of your Films. To remove an External folder right click on it and select Delete. This will NOT delete the folder or the images. It will only remove the node from your tree.
  • Find. This will pop up the Search window. Read more in the Searching section.
  • Web album. This will start the Web album creation process. Read more in the Web albums section.
  • Change Films location. From here you can change the default location where images are stored. Read more in the Changing Store location section.
  • Preferences. This will pop up the Preferences window. Read more in the Preferences section.
  • Exit. This will Exit the application.

    The Film Menu always refers to the currently selected Film. You can get the same menu by right clicking on a Film node. It contains the following items:

  • New Film. Create a new Film under the selected Film. The name will be "New Film". You can always change the name by pressing F2 and typing the new name.
  • Refresh. This will refresh the images under the selected Film (and depending on your preferences under all included films too). Refresh has two main functions: first it will recreate the thumbnails of images (again based on your preferences). So if you change the dimensions of thumbnails (in preferences) you must refresh. Secondly it will scan for any new or deleted images and folders under the Films folder. If it finds new images/folders it will ask to Import them. If it finds that images are missing it will ask if you want to remove them from your data file (so you won't see them anymore). Refresh can take a lot of time (if the thumbnails are being recreated), so don't do it unless you have a reason (e.g. if you have edited some images with external programs).
  • Sort films by name. This will sort all included films by name.
  • Add keyword. Read more in the keywords section.
  • Rename. This will allow you to rename the film.
  • Delete. Deletes a Film and the corresponding folder on disk. Be careful with it (it will ask for confirmation). Deleted folders/images will go to the Recycle bin of Windows, so you can always restore them.
  • Copy film to. This will ask for a location and then copy the corresponding film's folder to that location (including folders and files).
  • Export film. This will export the Film (and all included images and films) to a ZIP file. This file will also include the thumbnails and the information you have entered for images. You can send this file to a friend so he can see your image collection. This is a great way to exchange image collections with your friends.
  • Import Many. This is also found as a button on the toolbar. Pressing it will ask for a folder to import. Images will be imported from that folder to the selected Film. This folder will not be created as a new film. Read more at the Importing Images section.
  • Import One. Use this to import one image.
  • Import film. If some friend sends you a ZIP file exported by Cheez, containing some of their images, use this to import it. You will also see their descriptions.
  • Slide Show. This will initiate a slide show of the images contained in the current film and all included films.
  • Properties. Displays the number of folders and images contained in this film and all included films.

    • The Image/Video Menu refers to the currently selected images or videos. You can get the same menu by right clicking on a selected image/video. It contains the following items:

  • View. Opens the View window to display the image. Read more at the Viewing section. If many images are selected one window for every image will be opened.
  • Refresh. Refreshes the selected images.
  • Exif Info. Opens a window displaying the Exif info found in the image. Exif data are stored in an image by a digital camera. Read more at the Exif info section.
  • Open with. This will pop up a submenu containing your favorites programs to edit images/videos. In order to create your favorite list of programs select "Choose Program" from the submenu.
  • Add keyword. Read more in the keywords section.
  • Copy. This will copy the image in the Clipboard (so you can paste it to other applications). This option will appear for images only.
  • Copy to. This will ask for a location and copy the selected files there.
  • Mail. This will open the Send by mail form. Read more here.
  • Rotate Left. Rotates selected images 90 degrees left. This option will appear for images only.
  • Rotate Right. Rotates selected images 90 degrees right. This option will appear for images only.
  • Edit. This will open the Edit image form. Read more here. This option will appear for images only.
  • Rename. Allows you to rename the selected files. If you have more that one file selected you can use the *n operator. This will rename your files using an increasing number e.g. selecting two images (a.jpg and b.bmp) and renaming to "File-*n" will result in "File-0001.jpg" and "File-0002.bmp".
  • Delete. Deletes the selected files. Be careful with it (it will ask for confirmation). Deleted images can be found in the Recycle bin of Windows.
  • Print. This will open the printing form. Read more here. This option will appear for images only.
  • Slide Show. Starts a slide show of all selected images. This option will appear for images only.

    • General tips

  • You can select multiple images using the Control key to select/deselect specific images. Holding down the Shift key will select all images from the first clicked image to the second clicked image.
  • You can drag and drop selected images to other Films
  • You can drag and drop folders and images from Windows Explorer to Cheez. Moreover you can drag and drop images from other applications e.g. Internet Explorer.
  • You can drag and drop Film nodes over/under/into other Films so you can order the Films Tree the way you want.


 Importing Images

The first and most important thing to learn while using Cheez is to import images for managing. There are many ways to add images. Also there is a special way to view a folder's images without making it part of your image collection.

The first way is to use the Import capabilities. You can click the Import Many or Import One buttons. Import Many will collect all images included in a folder (and based on your Preferences the folders under it). Import One will only import a single image. Imported images will be copied inside the selected Film (no Film will be created). If you want images to go to a new film you must first create it (right click a Film and select New Film) and then do the import.

The second way is by dragging images or folders from Windows Explorer (or other applications) to Cheez's main window or to another Film. Dragged images are handled exactly like the Import One button. For folders there is one difference: the dragged folder will be created as a new Film. So if you drag and drop a folder named PartyImages, a new Film (also named PartyImages) will be created under the selected Film. If you would do the same thing with Import Many then the images from PartyImages would go inside the selected Film.

The third way is by copying new images and folders to your Films folder and then using the Refresh button. For instance if you copy some new images inside the folder PartyImages (e.g. to C:\Program Files\Cheez\Films\PartyImages) you can then select the PartyImages Film and press Refresh. The new images will be detected and Cheez will ask you if you wish to import them.

The last way is by using Acquire. This is a method to get images from a scanner, digital camera or other digital device (it must be a TWAIN compatible device). Usually a window will pop up where you can scan/select images and after you do that Cheez will import the images. Finally you can view images contained in a folder without them becoming part of your Film collection (External Folders). Pressing the Show button will ask for a folder to display. After specifying a folder this will be added at the end of your Films tree (also denoted by a special icon). Selecting it you can view images contained in this folder, but you cannot for instance enter a description for these images. Also deleting external folders will not delete anything on your hard disk; only the link to that folder will be removed from your Films tree. Of course you can drag images from an external folder to one of your films in order to really import these images.


 Viewing Images

To view an image double click on it from the main screen or the search results. Alternatively you can right and select View (for main screen) or press the View button (search results). If you have many selected images (either in the main window or the search results) one window will open for every image.

While viewing an image pressing the Fit button will scale the image to fit in the current window size (only if the image is bigger than the window). Pressing Full Size will show the image in its real size. While in Full Size mode you can use the Zoom In and Zoom Out buttons to zoom the image. You can select whether images should be displayed by default in Fit mode or in Full Size mode from Preferences.

You can use the Previous/Next image to view the next image (either from the thumbnails or from search results). The Edit button will open the Edit form while the Mail button the Send by mail form. Another useful feature of Cheez allows you to view images using the associated Windows application. For example if you use Paint to view BMP images then Paint will be called to display a BMP image, if you use Internet Explorer to view JPG images, then it will be opened to view a JPG image etc. This is an option in Preferences.


 Exif Info

Exif data is information about an image, stored by a digital camera. To view Exif info for an image, right click on it from the main screen and select Exif Info. If you have many selected images one window will open for every image.

The top pane shows the actual Exif info (e.g. Photo date, Camera model etc). This information is for viewing only, so you cannot change it.

On the bottom pane you can see any comments that are stored in the image (only JPEG images). If you want you can write some text and then save it. Keep in mind that this text will be embedded in the image file, meaning that if you sent this image to someone else, he will be able to read your comments with the appropriate program (e.g. Cheez ;-)


 Slide show

There are three ways to initiate a Slide show of images:

  • Right click on a Film and then select Slide Show. This will Slide show all images included in the selected Film plus all images inside sub-films.
  • Select some images from the Main screen (use the Shift and Control keys) and then right click and select Slide Show. This will only slide show the selected images.
  • Click the Slideshow button on the search results form.

    While in SlideShow mode, you can go to the next image by either clicking on the screen, or pressing any of the following keys: Space, Enter, Down arrow, Right arrow, Page Down. You can go to the previous image by pressing any of the following keys: Left arrow, Up arrow, Page Up. You can end the Slide show by pressing the Escape key.

    There are some Preferences regarding the Slide show, like looping, captions, automatic mode etc.


 Edit images

Select one or more images and choose "Edit" from the right-click menu to open the Edit form (or from View form press the "Edit" button). Here you can enhance your images.

The Edit form has three discreet areas:
  • On top is the navigation toolbar allowing you to go to the First/Previous/Next/Last image.
  • In the middle is the action/filter panel containing the tools to enhance your images.
  • At the bottom is the control area, allowing you to Undo/Redo changes, Apply/Revert actions/filters.

    To edit your images first select a tab from the available ones: Size (Crop, Resize), Style (B&W, Sepia, Emboss), Colors (Brightness, Contrast, Gamma), HSL (Hue, Saturation, Lightness), Red eyes, Soften (Soften, Blur, Gaussian blur), Sharpen (Sharpen, Enhance detail, Enhance focus).

    Move the sliders or press the appropriate buttons and view your changes in the preview area. Press "Apply" to make the preview image current. Use "Revert" to discard changes in the preview area (current image -> preview image).

    You can use the Undo/Redo buttons to go back and forth in the current image. When you are happy with your changes press the "Save" button to permanently save the current image to disk.

    Before using crop you must draw a rectangle in the Preview area.
    A rectangle must be drawn for Red eyes too. Make it around each eye and then press "Fix". Tolerance defines what shades of red will be corrected. A high tolerance will only change very bright red while a low tolerance will change dull red (low tolerance may affect skin color so perform some tests on every image you fix to achieve best results).


 Keywords

In Cheez you can create a custom keyword list which you can use to easily and quickly tag your images, videos and Films (a keyword list could contain words like "Vacation", "Friends", "Family", "Business" etc). To create or edit your list right click on a Film and image or a video and select "Add keyword" and "Manage keywords". A form will come up containing your keywords.

To add a keyword just type it in the field "Keyword" and press the "Add" button.
To edit a keyword, select it, change it in the "Keyword" field and press the "Replace" button.
To delete a keyword, select it, and press the "Delete" button.

If you are happy with your keyword list press "OK" to save it otherwise press "Cancel" to exit with no changes to your keyword list.

Using keywords

To add keywords to media files, first select one or more images or videos, then right click, select "Add keyword" and press your keyword. This will be added to all selected files, in their "Keywords" field.

To add keywords to a Film, right click the film, select "Add keyword" and press your keyword. This will be added to the Film's "Keywords" field.

Deleting a keyword from your keyword list will NOT delete it from files/films you have inserted it.

Using keywords you can very quickly tag your images/videos/films. And since search offers an easy way to search for your keywords you can easily locate your tagged files/films.


Searching

 Searching Images

In order to search for images/videos or films, click the Find button (or press Ctrl+F). The search window will pop up. Give one or more words (or part of them) to search for and click the Search button. Also you can use the "Add keyword" menu to select from your keywords.

There are three modes for searching:
  • any word: this will search for any of the words you entered
  • all words: this will search for all of the words you entered, in any order and any fields
  • phrase: this will search for the exact phrase you entered

    You can define which fields to search in: Name, Description, Keywords or Date. Name is the real name of the image while the other 3 fields are entered by you for every image or film. Finally you can specify whether your results should include both files (images/videos) and films or only one of the two.

    After searching the results window will come up. Every row represents either a film or an image. Films have blue color. You can see lots information for the results. For images you can see a thumbnail of the image (you can change the size in Preferences), the Name, Description, Keywords and Date, the size of the image/video (dimensions) the Film it's located in and finally the full path to the image. For films, Size shows how many files are included.

    Double clicking an image/video will display it. The toolbar also contains these buttons:

  • View. You can select multiple images and then click the View button to view all of them.
  • Refresh. Clicking the Refresh button will realign the grid (e.g. if you change the window size).
  • Slideshow. This will initiate a slideshow of all images in the search results.
  • Web album. This will initiate a web album creation of all images in the search results.
  • Copy. This will copy the selected image to the clipboard.
  • Copy to. This will ask for a location and then copy the selected files there.
  • Mail. This will open the Send by mail form.


 Printing

Selecting one or more images and choosing "Print" from the right-click menu opens the Print form.

The toolbar at the top allows you to jump to the First/Last, Previous/Next selected image. Also you can setup your printer (for instance to select portrait or landscape). Finally you can use the "Print all" or "Print current" buttons to start the printing.

Things you can specify for your prints include:

  • Margins: You can specify the Top, Bottom, Left and Right margin in millimeters.
  • Zoom: By default the image will be printed utilizing all available paper size. Use zoom to change that.
  • Image information: Here you can specify if and what information will be printed. Font size and color refer to the font that will be used. Check/uncheck Name, Description, Keywords, Date to define which fields shouldbe printed.


 Web albums

The best way to share your pictures is to upload them to a personal site and have your friends visit over. In order to do that you need two things:
A) An internet connection and personal web site
B) An HTML document containing the images you want to upload

Cheez will help you creating the HTML document with the "Create Web albums" option.

The first thing to do is to set a folder containing images you want included in your album. By default the images contained in the selected Film will be displayed, but you can browse to any directory on your hard drive, by pressing the Browse button.

Then you must select the images you want included in your album. You can use the Select All/Deselect All buttons, and also the Control/Shift keys to help you in the selection. Hovering over an image will display it in the preview area so you can see which image it is.

There are three sets of options to accomodate many album styles:

General:

  • Title: Type a title for your album.
  • Language: Choose your country's language.
  • Images per row: How many images to display in one row.
  • Create clickable thumbnails: If this is checked, then thumbnails will be placed in your album. When you click on a thumbnail, the original image will load into a new browser window. If this is not checked then the original images will be directly displayed. Don't forget that "Images per row" apply to both cases.
  • Display title on top of page: Whether to display the Title.

    View:

  • Display Name: Displays the Name of the image (only applies if you are creating an album for a Film).
  • Display Description: Displays the Description you have entered (only applies if you are creating an album for a Film).
  • Display Keywords: Displays the Keywords you have entered (only applies if you are creating an album for a Film).
  • Display Date: Displays the Date you have entered (only applies if you are creating an album for a Film).

    There are two ways to display the above information. One is under the image while the other is in the image's tooltip.

  • Border around thumbnails: Draws a one pixel black border around thumbnails (if "Create clickable thumbnails" is checked).

    Advanced:

  • Thumbnails width/height: The desired width/height of the thumbnails (if "Create clickable thumbnails" is checked).
  • Resize images: If your images have large dimensions (e.g. 1600x1200) you may want to resize them before putting them online. Here you specify the width/height images should scale to.

    Creating the album

    After you finish with the options you can press "Save album". Note that the images will be stored in the same place where you save the HTML document inside a folder with the same name as your album and a suffix of "_files", so if you save your album as "PartyImages" a file named PartyImages.html and a folder named "PartyImages_files" will be created. You must upload both these to have your album online.


 Send by mail

Selecting one or more images/videos and choosing "Mail" from the right-click menu opens the Send by mail form. This allows you to send images and videos via email. Moreover some optimization will take place, so the mail size will be kept low.

The first option is to Convert images to JPG (this by itself reduces the size of non JPG images). Then you can select the quality of the JPG images where 100 is the best and 0 is the worst. A range of 60-80 will give the best quality for a small size. Finally you can resize your images: 640x480 is the recommended size for sending images with email.

For videos one option is available: to only send one frame of the video file as an image, instead of the whole video. You can deselect it if you really want to send the whole video, but be careful since videos sizes tend to be big.

Pressing the "Send" button will prepare the email and then open your default mailing application (e.g. Outlook Express, Mozilla mail etc). The prepared mail will be displayed, ready with some simple text and of course the attached files. All you have to do is to specify the recepients, change the subject/text if you want and send it!


 Changing Store location

By default images will be stored in a folder named Films, under the installation folder. You can change this by the Store Location form.

Pressing the small button will ask for a new folder. You cannot select a folder that resides under the current store location. After you select a folder, press OK.

If you already have images stored in the previous Store location you must decide what you will do with them. Three options are provided:
  • Do nothing. This will leave your images in the previous store location, but you will lose any descriptions/keywords/dates you have entered.
  • Copy them. This will copy your images to the new Store location and will preserve the descriptions/keywords/dates you have entered. Any images with the same name found in the new Store location will be overwritten.
  • Move them. This will move your images to the new Store location and will preserve the descriptions/keywords/dates you have entered. Any images with the same name found in the new Store location will be overwritten.

    Probably you should select the 3rd option (moving the files), although the second option (copying) is selected by default.


 Preferences

Clicking Preferences on the File menu will present you with a list of options.

There are three main categories of options: ones regarding the general program behaviour, one about thumbnails and one about Slide show.

General options

  • When importing. You can choose to either Copy or Move files to your Films folder when importing files. Cheez uses a main folder to store all imported files. When importing files (e.g. from another folder) these files will be either moved or copied to the Films folder. Recommendation: leave this to Copy Files until you feel confident in the use of Cheez, so you won't accidentaly delete any files.
  • Dates must be formatted. If you check this then you can also specify the format you prefer (DD/MM/YYYY or MM/DD/YYYY). Formatted dates means you cannot type anything in the Date field for files or films. You must give a correct date. Keep in mind that if you enable this option after you have already entered some dates, these will not be shown. Disabling it will show your already inserted data again.
  • Autosave changes in descriptions and keywords. If this is enabled then you don't need to click the Save button after entering information for a file. They will be automatically saved when you select another image/video/film or quit the program. Recommendation: enable it, it is must easier.
  • View files using the associated Windows App. Enable this to view images with a Windows application (e.g. Paint, Internet Explorer or whatever program you use to view images). Videos are always viewed with the appropriate Windows application. Recommendation: enable it if you use a good Image Viewer.
  • Fit images to window, when viewing them. If this is enabled images will be fitted to the view window when you open them. Otherwise they will be shown to their full size. Recommendation: if most of your images are standard size (e.g. 1600x1200) enable it. Also resize the View window to a comfortable size, since this will be remembered next time you view an image.
  • Sort files by name (instead of import date). If this is enabled thumbnails in a Film will be shown sorted by their name. If it is disabled then files will be sorted by their import date (last file imported or moved to a Film will be shown last).
  • Autosave data file (xml) after every change. Enabling this will save your XML data file after every change. E.g. if you rename a film, or enter some file information the file will be saved. This is of course slower compared to only saving when you quit, but protects better against system crashes, power failures etc. Recommendation: disable it unless you have too few files or a very fast computer.
  • Recursion in folders for Import and Refresh. When this is enabled, subfolders are taken into account when Importing or Refreshing. E.g. if you Import a folder with this option enabled, all subfolders including images/videos will also be imported. For refreshing a Film it is the same thing: with this option enabled all subfolders and images/videos will also be refreshed. NOTE: when refreshing, new folders will only be found when this option is enabled. Recommendation: Leave this checked. Disable it only if you want to do a specific task (e.g. import a folder's images without the subfolders).
  • Force refresh (does not check for file modification). If this is enabled images are refreshed (and their thumbnail recreated) all the time. If it is disabled only modified images are refreshed. Recommendation: Leave this unchecked.

    Thumbnail options

  • Width/Height. This specifies the dimensions of the thumbnails. 128x128 is generally good, but some people prefer larger sizes (192x192 or even 256x256). NOTE: changing this will not immediately change the thumbnails. You need to Refresh films for thumbnails to be resized (and for refresh to recreate the thumbnails you must temporarily enable the option "Force refresh (does not check for file modification)").
  • Spacing. This specifies the distance between thumbnails.
  • Back Color/Fore Color. These are the colors used for the background and border of thumbnails.
  • Selected Back Color/Fore Color. These are the colors used for the background and border of selected thumbnails.
  • Tooltip fields. Here you can specify which image/video fields will be displayed in the hint window that pops up when you pass your mouse over thumbnails.
  • Thumbnail size in search results. This is the size of the smaller thumbnails, displayed on the search results list. It can go up to 64x64.
  • Preserve thumbnail ratio in search results. This preserves the image aspect ratio in the smaller thumbnails of the search results list. Disable it to draw square thumbnails, even though they will be disorted.

    Slide Show options

  • Loop. Whether to restart from the first image after showing the last image.
  • Display image name. If checked a green caption with the name of the image is displayed on the top left corner while viewing a slide show.
  • Advancement. If this is set to Automatic you must also give the seconds interval between images. If it set to manually, advancement only happens after a mouse or keyboard command.


 Contact & Support

You can find the latest version of Cheez and news at www.daremon.gr/cheez. If you have any problems or wish to report a bug/problem you can send an email to daremon@ath.forthnet.gr. All comments and suggestions are welcome!


 Contributions

Translators
Program translations
Site translations
Credits

Translators

Special thanks go to these people for translating Cheez:

Language | Translator | Web site / Email
Dutch | Wil van der Heijden | -
Finnish | Kristian Laakkonen | kristianlaakkonen at hotmail.com
French | Maria Koutra | -
German | Timo Kahle | -
Greek | Maria Koutra | -
Hungarian | Gabor Puskas | http://www.honositomuhely.hu/
Italian | Giuseppe de Caterina | gdec at libero.it
Portuguese | Albino Pimentel de Paiva | albino.paiva at uol.com.br
Spanish | Eduardo Ridaura (v2.0) Maria Koutra (v3.0) | eduardorid at hotmail.com -
Traditional Chinese | Joanna | http://www.bbsfans.com/index.php
Turkish | Ali N. Hekimbelgen | http://turkcesi.dk3.com

Helping with translations

Translating Cheez is very easy and should not take more that 2-3 hours. If you are interested in helping with a translation, here are some basic help notes (if you have any problems, please contact me by email).

INTRODUCTORY:
a) Go to Cheez\Languages\ directory
b) Copy and paste the "EN.txt" file so that you create "Copy of EN.txt"
c) Rename "Copy of EN.txt" to "xx.txt" where xx is the 2 letter code of your country
d) Open it in a text editor e.g. Notepad
e) The first lines should be in english always:
[Info]
Name = NewLanguageName
Id = xx
Encoding = NewLanguageName (ISO-8859-1)

MAIN WORK:
Now after the line
[Strings]
you have to translate everything that does NOT start with a question mark
[;] and ONLY to the right of the equal mark [=]
e.g.
mRes1 = Importing %s
should become
mRes1 = TranslatedWordForImporting %s
Do not delete/translate the [%s] you may encouter.

TESTING:
Save the file and run Cheez. Select NewLanguageName from the Languages menu (it should be there!). Your translated strings should appear!

IMPORTANT NOTE:
There are three lines for you (the translator). These are displayed when someone opens the Help/About form. They are:
afRes33 = Name Surname (your name)
afRes34 = http://www.nameSurname.com/ (your site/email or a (-) if you don't want anything to be displayed)
afRes35 = A small dedication e.g. Greets to all!

Translating the site

You can also help translating the site: only this small page needs translating. If you translate it, please send me your work so i can put it online!

Cheez would not have been possible without the work of these people:

Name | Site |
Mike Lischke | http://www.lischke-online.de | For his Virtual Treeview control (and for Graphics Ex, a graphics library used until v2.0)
Marc Keeley | http://www.techmarc.co.uk | For GlyphsPro, a collection of glyphs
David Barton | http://www.scramdisk.clara.net | For his Base64 encoding functions.
Nullsoft | http://www.nullsoft.com | For NSIS, an Open Source installer.
Gerry McGuire, Matthias Wandel | - | For dEXIF, a library handling EXIF data
David Nieves | - | For MultiTWAIN, a library for accessing TWAIN devices.
Pierre-e Gougelet | http://www.xnview.com | For LibGFL, a graphics library.
Stefan Heymann | http://www.destructor.de | For LibXmlParser, a library for accessing XML documents
Eric W. Engler, Chris Vleghert, Angus Johnson | Eric site Angus site | For Zipdll.dll, Unzdll.dll and TZip, libraries for handling ZIP files
Mike Shkolnik | http://www.scalabium.com | For SendMail, a library for MAPI support
Stavros Papadopoulos / Anadelta | - | For his image resizing routines.


 History

  • version 3.0 (2004/09/24)
  • B - Fixed various small bugs
  • U - Mousewheel support in slideshow
  • U - Mousewheel support in view form
  • U - Double clicking a Film in search results, selects that Film
  • version 2.4 (internal)
  • U - Total rewrite of XML handling routines
  • F - Support for movies
  • F - Export/Import films (with images/descriptions) using a single ZIP file
  • U - Better mouse wheel support
  • F - When running from CD prefer local Films directory, don't show messages
  • F - Mail images/videos, using default mail application
  • F - Show custom fields on thumbnail's tooltip (name, size, dimensions, description etc)
  • F - Sort films by name
  • F - Print relevant info under printed image (name, description, keywords, date)
  • F - Edit images: resize/crop/colors/effects/red-eye removal
  • U - Backup XML file before converting to newer version
  • U - Show films/files in status bar for films
  • U - Blank lines at the start of a JPG comment are removed
  • F - Edit images from View form
  • F - Mail images from View form
  • F - Mail images from Search results
  • F - Batch rename files (Image-0001, Image-0002 etc)
    F stands for feature, B for Bug fix, U for update
  • version 2.3 (2004/07/01)
  • U - Migrate to LibGfl 2.11
  • U - Save tree width
  • U - Move item up/down on Choose Program form
  • F - Print images
  • U - when renaming files, the extension is added if not given by user
  • B - Fixed bad thumbnail quality for images with colordepth of 8bit or less
  • F - Keywords can be added easily through right-click menu
  • F - Right-click menu offers a user-defined keywords list, to be added to images or films
  • F - Add keyword menu to Search form
    F stands for feature, B for Bug fix, U for update
  • version 2.2 (2004/05/29)
  • U - Better keyboard support
  • F - Migrate to VirtualTree
  • F - Drag items from Windows Explorer (or any application) to tree nodes
    F stands for feature, B for Bug fix, U for update
  • version 2.1 (2004/05/12)
  • U - Migrate to LibGfl 2.01
  • U - Speed improvements
  • F - Lossless rotation of JPEG images (JPEG2000: not lossless, Exif not preserved)
  • U - Search respects selected film
  • F - Advanced search: any word, all words, phrase
  • U - New dExif library v 1.01a
  • U - ExifInfo uses string grid
  • F - Copy images to folder
  • F - Copy film to folder
  • F - Slideshow of search results
  • F - ViewImage: Display Next/Prev image from results or Film or External dir
  • F - ViewImage: keyboard support
  • F - Window positions/sizes are saved
  • U - Albums save images in album_files not in album_images
  • U - Web album: preview images
  • F - Web album of search results
  • U - Web album always converts images to JPEG format
  • F - Customizable Open With menu
    F stands for feature, B for Bug fix, U for update
  • version 2.0.2 (internal)
  • F - Images can be copied to the clipboard
    F stands for feature, B for Bug fix, U for update
  • Version 2.0 (2003/08/18)
  • U - External directories use new thumbnail routines
  • B - Fixed minor bug with quickly clicking a Film and then a an External Folder
  • U - Web album selects the current language for HTML output
  • B - Refreshing removes directories from XML even if deleted from HD
  • B - Web album correctly displays currently processed image
    F stands for feature, B for Bug fix, U for update
  • 1.1.3 (internal)
  • U - Better feedback while creating albums
  • U - Better feedback while updating datafile from previous version
  • B - Fixed bug with ViewImage form opening in the background
  • F - Languages use a simple realtime parsed INI file
  • B - Missing MSXML library is (hopefully) detected and user is adviced
    F stands for feature, B for Bug fix, U for update
  • Version 1.1.2 (2003/05/17)
  • B - Fixed memory leak (thumbnails)
  • B - Importing from films directory is now disabled
  • U - Deleting files or directories uses the Recycle Bin
  • U - Speed improvement when showing a Film
  • U - Speed improvement when rotating images
  • F - SlideShow images
  • F - Acquire images from TWAIN devices
  • B - Renaming image first checks for same extension
  • U - Better mouse wheel support
  • U - Much better thumbnail quality
  • F - Left/right/up/down keys to move selected image (TAB focuses ScollBox)
    F stands for feature, B for Bug fix, U for update
  • Version 1.1.1 (2003/05/07)
  • F - Create internet albums
  • F - Get EXIF info - Edit comment
  • B - Fixed ZoomIn/ZoomOut icons
  • B - Support Icons (.ico) and Metafiles (.emf, .wmf)
  • B - After writing Film/Image info and clicking on blank space nothing is saved
  • F - Change the Films directory
  • U - Refreshing an image does not reload all images in current Film (unless deleted)
  • B - Cannot close Cheez while importing/refreshing
  • F - Refreshing is based on timestamps (saved in the XML), so it is MUCH faster
  • F - Rename images
  • F - Order images by Name
  • F - Rotate Image (BMP, TGA, JPG, EMF, WMF)
    F stands for feature, B for Bug fix, U for update
  • Version 1.0 (2002/09/02)
    First public release


 Future

Some features planed for future versions:

  • Allow Zoom in Edit form
  • Allow pan in View form, full size mode
  • Create custom HintWindow
  • Show Exif related things on tooltip
  • Drag items from Cheez to Windows
  • Printing thumbnails (contact sheet), printing options (4x6 etc)
  • Back up XML automatically
  • Display information under every thumbnail (dimensions - name - disksize)
  • Find dublicate images (same name and/or size)
  • Create folders with search criteria (virtual films). Should update selves?
  • Create folders with user drag-dropped images (virtual films - favorites)
  • Web album also fetches sub-films (show as sub-films needing a click in html too)
  • Web album uses css/templates
  • Web album pop up windows are correctly sized based on image width/height
  • Web album layout: index/detail layout with next/prev/index buttons
  • Web album layout: index on top/bottom/left/right frame, image on other frame
  • New search tab, with exif info tags to search (also comment tag and comment segment)
  • When importing JPG, add ExifInfo.Date to XmlPDate node (and exif comment?)
  • When importing images, add FileDate to XmlPDate
  • Major transfers from Exif to Cheez or from Cheez to Exif (date, comments). Sync?
  • Slideshow EXE
  • Slideshow MPEG/AVI/DVD
  • Sort files by name/date/hand: Prefs define default import behaviour (by name, by date). Then every film's images can be sorted by name/date (with menu option) or by hand (dragging)


License

 Copyright (c) 2002-2004, Dimitris Giannitsaros
All rights reserved.

Redistributions are permitted provided that the following conditions are met:
  • Redistributions must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
  • Redistributions must be free of charge except a fee for media, packaging and shipping.

    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.